
12 / 13 / 2012

UPDATE `db_ReserveLogic2`.`tbl_lookup` SET `vLookUp_Value` = 'sandbox' WHERE `tbl_lookup`.`nLookUp_Id` =41;


UPDATE `db_ReserveLogic2`.`tbl_lookup` SET `vLookUp_Value` = 'YES' WHERE `tbl_lookup`.`nLookUp_Id` =13;





12 / 17 /2012


CREATE TABLE `db_ReserveLogic2`.`tbl_affiliates` (`aff_id` INT(11) NOT NULL AUTO_INCREMENT PRIMARY KEY, `aff_uname` VARCHAR(100) NOT NULL, `aff_pwd` VARCHAR(255) NOT NULL, `aff_email` VARCHAR(255) NOT NULL, `aff_fname` VARCHAR(100) NOT NULL, `aff_lname` VARCHAR(100) NOT NULL, `aff_address1` TEXT NOT NULL, `aff_address2` TEXT NOT NULL, `aff_city` VARCHAR(100) NOT NULL, `aff_country` VARCHAR(100) NOT NULL, `aff_state` VARCHAR(100) NOT NULL, `aff_zip` VARCHAR(10) NOT NULL, `aff_fax` VARCHAR(10) NOT NULL, `aff_regdate` VARCHAR(30) NOT NULL, `aff_status` TINYINT(1) NOT NULL) ENGINE = MyISAM;


ALTER TABLE `tbl_affiliates` ADD `aff_phone` VARCHAR( 15 ) NOT NULL AFTER `aff_zip` 



INSERT INTO `db_ReserveLogic2`.`tbl_mail_template` (`id`, `mail_template_name`, `mail_template_sub`, `mail_template_body`, `mail_template_status`, `created_on`) VALUES ('26', 'affiliateregister', '{SITE_NAME} - Activate your affiliate account ', '<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
      <title></title>
<table border="0" cellpadding="0" cellspacing="0" style="border:1px solid #ccc; background-color:#FDFDFD; " width="600">
       <tbody>
        <tr>
            <td colspan="3" height="5">&nbsp;
                </td>
        </tr>
        <tr>
            <td width="5">&nbsp;
                </td>
            <td width="586">
                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                    <tbody>
                        <tr>
                            <td height="56" >
                                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                    <tbody>
                                        <tr>
                                            <td height="80" width="2%">&nbsp;
                                                </td>
                                            <td width="37%">
                                                <img height="65" src="{LOGO_URL}" width="226" /></td>
                                            <td width="61%">
                                                <p style="font-family:Arial, Helvetica, sans-serif; font-size:12px; color:#CCCCCC; text-align:right; padding:0 15px 0 0; ">
													{Date}</p>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td height="10">&nbsp;
                                </td>
                        </tr>
                        <tr>
                            <td>&nbsp;
                                </td>
                        </tr>
                        <tr>
                            <td>
                                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                    <tbody>
                                        <tr>
                                            <td width="2%">&nbsp;
                                                </td>
                                            <td width="97%">
                                                <h3 style="font-family:Arial, Helvetica, sans-serif; font-size:18px; color:#333333; font-weight:normal; margin:5px 0 5px 0; ">
													Thank you for registering as affiliate </h3>
                                                <p style="font-family:Arial, Helvetica, sans-serif; font-size:12px; color:#333333; line-height:21px; text-align:justify; ">
													Click the folowing link to activate your account </p>
                                                <p style="font-family:Arial, Helvetica, sans-serif; font-size:12px; color:#333333; line-height:21px; text-align:justify; ">&nbsp;
                                                   </p>
                                            </td>
                                            <td width="2%">&nbsp;
                                                </td>
                                        </tr>
                                        <tr>
                                            <td>&nbsp;
                                                </td>
                                            <td>
												{Activationlink}
                                            <td>&nbsp;
                                                </td>
                                        </tr>
                                        <tr>
                                            <td>&nbsp;
                                                </td>
                                            <td>&nbsp;
                                                </td>
                                            <td>&nbsp;
                                                </td>
                                        </tr>
                                        <tr>
                                            <td>&nbsp;
                                                </td>
                                            <td>&nbsp;
                                                </td>
                                            <td>&nbsp;
                                                </td>
                                        </tr>
                                        <tr>
                                            <td>&nbsp;
                                                </td>
                                            <td>
												Thank You<br />
												Team {SITE_NAME}</td>
                                            <td>&nbsp;
                                                </td>
                                        </tr>
                                        <tr>
                                            <td>&nbsp;
                                                </td>
                                            <td>&nbsp;
                                                </td>
                                            <td>&nbsp;
                                                </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                    <tbody>
                                        <tr>
                                            <td height="30" >
                                                <p style="color:#CCC; font-family:Arial, Helvetica, sans-serif; font-size:12px; padding:0 0 0 15px; ">
													copyright 2012 {SITE_NAME} All rights reserved</p>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </td>
            <td width="4">&nbsp;
                </td>
        </tr>
        <tr>
            <td colspan="3" height="10">&nbsp;
                </td>
        </tr>
    </tbody>
</table>
<p>&nbsp;
    </p>', '1', CURRENT_TIMESTAMP);




ALTER TABLE `tbl_affiliates` ADD `aff_activation_key` VARCHAR( 100 ) NOT NULL AFTER `aff_pwd` 



12 / 18 / 2012

CREATE TABLE `db_ReserveLogic2`.`tbl_affiliates_links` (
`link_id` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`link_name` VARCHAR( 255 ) NOT NULL ,
`link_image` VARCHAR( 255 ) NOT NULL ,
`link_status` TINYINT( 1 ) NOT NULL COMMENT '1-> active; 0 -> disabled',
`link_title` TEXT NOT NULL
) ENGINE = MYISAM ;


added new folder banner in file folder

ALTER TABLE `tbl_affiliates_links` CHANGE `link_title` `link_type` TINYINT( 1 ) NOT NULL COMMENT '0-> image link, 1-> text link'








12 / 19 / 210


changelog_jinson.txt
logics\cls_affiliates.php
modules\affiliates\controller\index.php
resources\en_static.php




INSERT INTO `db_ReserveLogic2`.`tbl_lookup` (`nLookUp_Id`, `vLookUp_Name`, `vLookUp_Value`, `settinglabel`, `groupLabel`, `type`) VALUES (NULL, 'affiliate_enable', 'Y', 'Enable Affiliate', 'General', ''), (NULL, 'affiliate_percentage', '10', 'Affiliate Percentage', 'General', '');



CREATE TABLE `db_ReserveLogic2`.`tbl_affiliate_useraction` (
`ua_id` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`ua_aff_id` INT( 11 ) NOT NULL ,
`ua_userid` INT( 11 ) NOT NULL ,
`ua_actiontype` TINYINT( 1 ) NOT NULL COMMENT '1-> registration, 2-> booking',
`ua_actiondate` VARCHAR( 30 ) NOT NULL ,
`ua_paystatus` TINYINT( 1 ) NOT NULL COMMENT '1-> Un paid, 2 ->paid, 3->rejected',
`ua_displaystatus` TINYINT( 1 ) NOT NULL COMMENT '1->show; 2->hide'
) ENGINE = MYISAM ;



ALTER TABLE `tbl_affiliate_useraction` ADD `ua_payment` DECIMAL NOT NULL AFTER `ua_actiondate` ,
ADD `ua_referalcharge` DECIMAL NOT NULL AFTER `ua_payment` 






changelog_jinson.txt
js\affiliates.js
logics\cls_affiliates.php
logics\cls_utils.php
modules\affiliates\controller\index.php
modules\affiliates\view\script\index\login.tpl.php
resources\en_static.php
modules\affiliates\view\script\index\affiliatemenu.tpl.php
modules\affiliates\view\script\index\changepassword.tpl.php
modules\affiliates\view\script\index\geturls.tpl.php
modules\affiliates\view\script\index\home.tpl.php
modules\affiliates\view\script\index\profile.tpl.php
modules\affiliates\view\script\index\registrations.tpl.php
themes\default\css\affiliates.css






INSERT INTO `db_ReserveLogic2`.`tbl_mail_template` (`id`, `mail_template_name`, `mail_template_sub`, `mail_template_body`, `mail_template_status`, `created_on`) VALUES ('29', 'affiliate_pwdrequest', 'Affiliate Password reset request', '<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type" />
      <title></title>
<table border="0" cellpadding="0" cellspacing="0" style="border:1px solid #ccc; background-color:#FDFDFD; " width="600">
       <tbody>
        <tr>
            <td colspan="3" height="5">
                &nbsp;</td>
        </tr>
        <tr>
            <td width="5">
                &nbsp;</td>
            <td width="586">
                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                    <tbody>
                        <tr>
                            <td height="56"  >
                                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                    <tbody>
                                        <tr>
                                            <td height="80" width="2%">
                                                &nbsp;</td>
                                            <td width="37%">
                                                <img height="65" src="{LOGO_URL}" width="226" /></td>
                                            <td width="61%">
                                                <p style="font-family:Arial, Helvetica, sans-serif; font-size:12px; color:#CCCCCC; text-align:right; padding:0 15px 0 0; ">
													{Date}</p>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td height="10">
                                &nbsp;</td>
                        </tr>
                        <tr>
                            <td>
                                &nbsp;</td>
                        </tr>
                        <tr>
                            <td>
                                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                    <tbody>
                                        <tr>
                                            <td width="2%">
                                                &nbsp;</td>
                                            <td width="97%">
                                                <h3 style="font-family:Arial, Helvetica, sans-serif; font-size:18px; color:#333333; font-weight:normal; margin:5px 0 5px 0; ">
													Forgot password - {SITE_NAME}</h3>
                                                <p style="font-family:Arial, Helvetica, sans-serif; font-size:12px; color:#333333; line-height:21px; text-align:justify; ">
													We have received  your password reset request.</p>
                                                <p style="font-family:Arial, Helvetica, sans-serif; font-size:12px; color:#333333; line-height:21px; text-align:justify; ">
													Please ignore the request if it was not made by you.</p>
                                                <p style="font-family:Arial, Helvetica, sans-serif; font-size:12px; color:#333333; line-height:21px; text-align:justify; ">
                                                   &nbsp;</p>
                                            </td>
                                            <td width="2%">
                                                &nbsp;</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                &nbsp;</td>
                                            <td>
												{PasswordLink}
                                            <td>
                                                &nbsp;</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                &nbsp;</td>
                                            <td>
                                                &nbsp;</td>
                                            <td>
                                                &nbsp;</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                &nbsp;</td>
                                            <td>
                                                &nbsp;</td>
                                            <td>
                                                &nbsp;</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                &nbsp;</td>
                                            <td>
												Thank You<br />
												Team {SITE_NAME}</td>
                                            <td>
                                                &nbsp;</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                &nbsp;</td>
                                            <td>
                                                &nbsp;</td>
                                            <td>
                                                &nbsp;</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                    <tbody>
                                        <tr>
                                            <td height="30" >
                                                <p style="color:#CCC; font-family:Arial, Helvetica, sans-serif; font-size:12px; padding:0 0 0 15px; ">
													copyright 2012 {SITE_NAME} All rights reserved</p>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </td>
            <td width="4">
                &nbsp;</td>
        </tr>
        <tr>
            <td colspan="3" height="10">
                &nbsp;</td>
        </tr>
    </tbody>
</table>
<p>
    &nbsp;</p>', '1', CURRENT_TIMESTAMP);




changelog_jinson.txt
logics\cls_affiliates.php
modules\affiliates\controller\index.php
modules\affiliates\view\script\index\login.tpl.php
resources\en_static.php
modules\affiliates\view\script\index\forgotpassword.tpl.php
modules\affiliates\view\script\index\resetpassword.tpl.php







INSERT INTO `db_ReserveLogic2`.`tbl_lookup` (`nLookUp_Id`, `vLookUp_Name`, `vLookUp_Value`, `settinglabel`, `groupLabel`, `type`) VALUES (NULL, 'fbappid', '12345', 'Faceboo App Id', 'General', '');



changelog_jinson.txt
logics\cls_payments.php
modules\default\controller\cmshelper.php
modules\default\view\script\cmshelper\settingsdisplay.tpl.php
lib\paymentgateways\worldpay\worldpay_class.php
lib\paymentgateways\yourpay\1909707954.pem
lib\paymentgateways\yourpay\pem\1909177135.pem
lib\paymentgateways\yourpay\yourpay.php
modules\default\controller\test.php










12 / 26 /2012

INSERT INTO `db_ReserveLogic2`.`tbl_lookup` (`nLookUp_Id`, `vLookUp_Name`, `vLookUp_Value`, `settinglabel`, `groupLabel`, `type`) VALUES (NULL, 'expedia_enable', 'Y', 'Enable Expedia', 'General', '');

INSERT INTO `db_ReserveLogic2`.`tbl_lookup` (`nLookUp_Id`, `vLookUp_Name`, `vLookUp_Value`, `settinglabel`, `groupLabel`, `type`) VALUES (NULL, 'expedia_version', '3', 'Enable Version', 'General', '');

INSERT INTO `db_ReserveLogic2`.`tbl_lookup` (`nLookUp_Id`, `vLookUp_Name`, `vLookUp_Value`, `settinglabel`, `groupLabel`, `type`) VALUES (NULL, 'expedia_cid', '55505', 'Expedia CID Value', 'General', '')


INSERT INTO `db_ReserveLogic2`.`tbl_lookup` (`nLookUp_Id`, `vLookUp_Name`, `vLookUp_Value`, `settinglabel`, `groupLabel`, `type`) VALUES (NULL, 'expedia_apikey', 'yat4uvfjtpaahhtdjh2dp2va', 'Expedia API Key', 'General', '')

INSERT INTO `db_ReserveLogic2`.`tbl_lookup` (`nLookUp_Id`, `vLookUp_Name`, `vLookUp_Value`, `settinglabel`, `groupLabel`, `type`) VALUES (NULL, 'expedia_currency', 'USD', 'Expedia Currency Code', 'General', '')


INSERT INTO `db_ReserveLogic2`.`tbl_lookup` (`nLookUp_Id`, `vLookUp_Name`, `vLookUp_Value`, `settinglabel`, `groupLabel`, `type`) VALUES (NULL, 'expedia_search_mode', '1', 'Expedia Search Mode', 'General', '')
















logics\cls_affiliates.php
logics\cls_apisearch.php
logics\cls_utils.php
modules\affiliates\controller\index.php
modules\affiliates\view\script\index\affiliatemenu.tpl.php
modules\default\controller\cmshelper.php
modules\default\controller\locationdetails.php
modules\default\controller\search.php
modules\default\view\script\cmshelper\settingsdisplay.tpl.php
modules\default\view\script\index\headerpanel.tpl.php
modules\default\view\script\locationdetails\index.tpl.php
modules\default\view\script\search\searchresults.tpl.php
resources\en_static.php
themes\default\css\main.css



12 /29 /2012

changelog_jinson.txt
logics\cls_apisearch.php
modules\default\controller\locationdetails.php
modules\default\controller\search.php
modules\default\view\script\locationdetails\bookingpanel.tpl.php
changelog_jinson.txt
logics\cls_apisearch.php






12 / 31 / 2012

INSERT INTO `db_ReserveLogic2`.`tbl_lookup` (`nLookUp_Id`, `vLookUp_Name`, `vLookUp_Value`, `settinglabel`, `groupLabel`, `type`) VALUES (NULL, 'expedia_locale', 'en_US', 'Expedia Locatiob', 'General', '');

INSERT INTO `db_ReserveLogic2`.`tbl_lookup` (`nLookUp_Id`, `vLookUp_Name`, `vLookUp_Value`, `settinglabel`, `groupLabel`, `type`) VALUES (NULL, 'expedia_currency', 'USD', 'Expedia Currency', 'General', '')


changelog_jinson.txt
js\locationdetails.js
logics\cls_apisearch.php
logics\cls_booking.php
modules\default\controller\booknow.php
modules\default\controller\locationdetails.php



1 /1 /2013



changelog_jinson.txt
js\locationdetails.js
logics\cls_apisearch.php
logics\cls_booking.php
modules\default\controller\booknow.php
modules\default\controller\search.php
modules\default\view\script\locationdetails\bookingpanel.tpl.php



changelog_jinson.txt
js\booknow.js
js\locationdetails.js
logics\cls_apisearch.php
modules\default\controller\booknow.php
modules\default\controller\locationdetails.php
modules\default\controller\payments.php
modules\default\controller\search.php
modules\default\view\script\booknow\index.tpl.php
modules\default\view\script\booknow\paymentinformation.tpl.php
modules\default\view\script\locationdetails\bookingpanel.tpl.php






1/2/2013

js\locationdetails.js
logics\cls_apisearch.php
logics\cls_utils.php
modules\default\controller\booknow.php
modules\default\controller\expedia.php
modules\default\controller\locationdetails.php
modules\default\controller\search.php
modules\default\view\script\locationdetails\bookingpanel.tpl.php
modules\default\view\script\locationdetails\index.tpl.php


INSERT INTO `db_ReserveLogic2`.`tbl_lookup` (`nLookUp_Id`, `vLookUp_Name`, `vLookUp_Value`, `settinglabel`, `groupLabel`, `type`) VALUES (NULL, 'expedia_country', 'US', 'Expedia Search Country', 'General', '');

INSERT INTO `db_ReserveLogic2`.`tbl_lookup` (`nLookUp_Id`, `vLookUp_Name`, `vLookUp_Value`, `settinglabel`, `groupLabel`, `type`) VALUES (NULL, 'search_filter_min_value', '0', 'Search Filter Minimum Value', 'General', ''), (NULL, 'search_filter_max_value', '1000', 'Search Filter MaximumValue', 'General', '');



changelog_jinson.txt
js\search.js
logics\cls_apisearch.php
logics\cls_search.php
modules\default\controller\locationdetails.php
modules\default\controller\search.php
modules\default\view\script\search\leftpanel.tpl.php


js\locationdetails.js
modules\default\controller\booknow.php









1 /3 /2013



changelog_jinson.txt
config\settings.php
modules\default\controller\locationdetails.php
modules\default\controller\search.php
modules\default\view\script\index\footerpanel.tpl.php
modules\default\view\script\index\headerpanel.tpl.php




INSERT INTO `db_ReserveLogic2`.`tbl_lookup` (`nLookUp_Id`, `vLookUp_Name`, `vLookUp_Value`, `settinglabel`, `groupLabel`, `type`) VALUES (NULL, 'followlink_facebook', 'www.facebook.com', 'Follow Link : Facebook', 'General', ''), (NULL, 'followlink_twitter', 'www.twitter.com', 'Follow Link : Twitter', 'General', '');


INSERT INTO `db_ReserveLogic2`.`tbl_lookup` (`nLookUp_Id`, `vLookUp_Name`, `vLookUp_Value`, `settinglabel`, `groupLabel`, `type`) VALUES (NULL, 'followlink_linkedin', 'www.linkedin.com', 'Follow Link : Linkedin', 'General', '') 

modules\default\view\script\cmshelper\settingsdisplay.tpl.php
modules\default\view\script\index\footerpanel.tpl.php









1 / 14 /2013




ALTER TABLE `tbl_accomodation_types` CHANGE `vAt_Name` `vAt_Name` VARCHAR( 50 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NULL DEFAULT NULL 







logics\cls_apisearch.php
logics\cls_home.php
logics\cls_search.php
modules\default\controller\search.php
modules\default\controller\payments.php
lib\paymentgateways\worldpay\worldpay_class.php




